LINUX.ORG.RU

В Raspbian Linux обновлено ядро Linux с 4.14 до 4.19, а также rpi-firmware

 , , , ,


1

0

В Raspbian Linux обновлено ядро с версии 4.14 до 4.19, а также rpi-firmware. Возможно, вы сразу напишете в комменты: «а чё у них ядро было такое старое? Неужели они решили уподобиться своим же дешёвым клонам, которые работают на очень устаревших ядрах Linux? Причём невозможно обновить его вручную, потому что устройство не работает без драйверов, которые собраны только под Linux 3.10?». Обе этих версии ядра (4.14 и 4.19) являются LTS, и обновляться с одного LTS на другое - это нормально. Кроме того, разработчики Raspbian Linux имеют свой форк ядра Linux на Github, в которое они мержат свежие патчи для LTS-версий ядер, а также собственные патчи.

Как сообщает ресурс Phoronix, обновление до версии 4.19 освобождает разработчиков Raspbian Linux (компанию Broadcom) от лишней работы: многие написанные ими патчи уже приняты в апстрим, а значит, в них больше не нужно вносить правки, чтобы они наложились на новую ревизию ядра 4.14.

В новой версии ядра был обновлён код драйвера напряжения, уведомление об over-voltage, и код VC4 DRM.

Исходные коды ядра уже доступны на Github, также доступны бинарники rpi-firmware. Готовые сборки ядра доступны в репозитории (если вы видите, что последняя версия всё ещё 4.14, то можно обновиться в обход репозитория командой rpi-update)

Подробности

Перемещено jollheef из linux-general

jollheef, я написал про дураков, потому что они обязательно появятся в комментариях, и будут тыкать в то, что предыдущее ядро было «протухшим». Зато в из yet-another-pi ядро вообще из гита. А ещё я так написал потому, что редакторы опеннета достали редактировать мои новости, приводя их к академическому стилю. А ЛОР всегда был неформальным. Если хочешь, то можешь удалить про дураков, если это позволит попасть в новости.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Я не могу обратно перенести в новости, но ты можешь просто скопировать нужные части текста отсюда и запостить в новости еще раз.

Скастани меня после этого — я удалю этот тред и подтвержу новость.

jollheef ★★★★★ ()

Надеюсь, что наступят времена, когда линукс на одноплатниках будет поддерживаться полноценно. И не нужно будет ставить болгеносы чтобы всё из коробки завелось.

mironov_ivan ★★★★★ ()

Ну, лучше поздно чем никогда

root@opih5:~# uname -a
Linux opih5 4.19.16-sunxi64 #5.72.190122 SMP Tue Jan 22 23:14:53 CET 2019 aarch64 aarch64 aarch64 GNU/Linux
KillTheCat ★★★★★ ()

Ну че, круто, расчехлю малинку, обновлю сегодня вечером.

Кстати, что там с wiripngpi? Оно развивается? Или уже написали нормальную алтернативу, которая адекватна?

И касательно firmware/udev: доступ к Hardware PWM все еще требует root?

KennyMinigun ★★★★★ ()
Последнее исправление: KennyMinigun (всего исправлений: 1)

Snapcraft на него ставится?

fornlr ★★★★★ ()
Ответ на: комментарий от jollheef

Я только сейчас прочитал :-) Пусть будет в Толксах. Это слишком минорная новость

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)

После apt upgrade ядро так и осталось 4.14. А ставить в обход пакетного менеджера мне не позволяет нежелание получить слаку.

Black_Shadow ★★★★★ ()
Ответ на: комментарий от Black_Shadow

У меня в Gentoo единственное, что было установлено не из ебилдов, это ядро. gentoo-sources из ебилда, а файлы vmlinuz и *.ko руками

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от fornlr

Спасибо, а то без тебя-то я не знал, как обновить систему.

Black_Shadow ★★★★★ ()
Закрыто добавление комментариев для недавно зарегистрированных пользователей (со score < 50)